Package org.apache.cayenne.access.flush.operation

## Class Qualifier

- java.lang.Object
- - org.apache.cayenne.access.flush.operation.Qualifier

-     public class Qualifier
      extends Object

  Qualifier of DB row. It uses PK and optimistic lock qualifier if any.
  Since:
    4.2

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Map<DbAttribute,​Object>` | `additionalQualifier` |
    `protected List<String>` | `nullNames` |
    `protected boolean` | `optimisticLock` |
    `protected DbRowOp` | `row` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Qualifier​(DbRowOp row)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAdditionalQualifier​(DbAttribute dbAttribute, Object value)` |
    `void` | `addAdditionalQualifier​(DbAttribute dbAttribute, Object value, boolean optimisticLock)` |
    `Collection<String>` | `getNullQualifierNames()` |
    `List<DbAttribute>` | `getQualifierAttributes()` |
    `Map<String,​Object>` | `getSnapshot()` |
    `boolean` | `isSameBatch​(Qualifier other)` |
    `boolean` | `isUsingOptimisticLocking()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### row

          protected final DbRowOp row

    - #### additionalQualifier

          protected Map<DbAttribute,​Object> additionalQualifier

    - #### nullNames

          protected List<String> nullNames

    - #### optimisticLock

          protected boolean optimisticLock

  - ### Constructor Detail

    - #### Qualifier

          protected Qualifier​(DbRowOp row)

  - ### Method Detail

    - #### getSnapshot

          public Map<String,​Object> getSnapshot()

    - #### getQualifierAttributes

          public List<DbAttribute> getQualifierAttributes()

    - #### getNullQualifierNames

          public Collection<String> getNullQualifierNames()

    - #### addAdditionalQualifier

          public void addAdditionalQualifier​(DbAttribute dbAttribute,
                                             Object value)

    - #### addAdditionalQualifier

          public void addAdditionalQualifier​(DbAttribute dbAttribute,
                                             Object value,
                                             boolean optimisticLock)

    - #### isUsingOptimisticLocking

          public boolean isUsingOptimisticLocking()

    - #### isSameBatch

          public boolean isSameBatch​(Qualifier other)